package no.fjas.wspv;

/**
 * Thrown upon configuration errors and other unexpected errors during
 * initalization and invocation of the validators.
 * 
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 */
public class ValidatorException extends RuntimeException {

	private static final long serialVersionUID = -3878190723595992806L;

	public ValidatorException() {
		super();
	}

	public ValidatorException(String message, Throwable cause) {
		super(message, cause);
	}

	public ValidatorException(String message) {
		super(message);
	}

	public ValidatorException(Throwable cause) {
		super(cause);
	}

}