/**
 * 
 */
package no.fjas.wspv.validators;

import no.fjas.wspv.ValidationException;
import no.fjas.wspv.Validator;
import no.fjas.wspv.ValidatorException;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import junit.framework.TestCase;

/**
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 *
 */
public abstract class AbstractValidatorTest extends TestCase {

	Validator validator = null;
	Element mockupElement = null;
	
	public void setUp() {
		Document doc = new org.apache.xerces.dom.CoreDocumentImpl();
		mockupElement = doc.createElement("test");
	}
	
	public void testNullValue() {
		try {
			mockupElement.setTextContent(null);
			validator.validate(mockupElement);
			fail();
		} catch (ValidationException e) {
			assertTrue(true);
		}
		
		try {
			mockupElement.setTextContent("");
			validator.validate(mockupElement);
			fail();
		} catch (ValidationException e) {
			assertTrue(true);
		}
	}
	
	public void testNullParameter() {
		try {
			validator.addParameter(null, null);
			mockupElement.setTextContent("50.00");
			validator.validate(mockupElement);
			fail();
		} catch (ValidatorException e) {
			assertTrue(true);
		} catch (ValidationException e) {
			
		}
	}
	
}
