package no.fjas.wspv.examples.xfire;

import java.util.Map;

/**
 * 
 * Service finding books
 * 
 *
 * 
 */
public interface BookService
{
    /**
     * returns array of the books
     * @return all books
     */
    public Book[] getBooks();
    
    /**
     * Find book by id
     * @param isbn isbn number
     * @return found book
     * @throws BookException cos tam
     */
    public Book findBook(String isbn) throws BookException;
    
    /**
     * @param id
     * @return
     * @throws BookException
     */
    public Book getBook(int id) throws BookException;
    
    /**
     * @param price
     * @return
     */
    public Book[] findBooksByMaxPrice(double price);
    
    /**
     * @param book
     */
    public void addBook(Book book);
}
