package no.fjas.wspv.xfire.service;

import javax.xml.namespace.QName;

import org.codehaus.xfire.fault.FaultInfoException;

/**
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 *
 */
public class BookException extends FaultInfoException {

	private static final long serialVersionUID = 1L;

	private BookExceptionDetail faultDetail;

	public BookException(String msg, BookExceptionDetail details) {
		super(msg);
		faultDetail = details;
	}

	public BookExceptionDetail getFaultInfo() {
		return faultDetail;
	}

	public static QName getFaultName() {
		return new QName("http://demo.xfire.codehaus.org", "BookFault");
	}
}
