/**
 * 
 */
package no.fjas.wspv;

/**
 * A holder class for various constants
 * 
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 */
public class Constants {

	/** The location of the configuration file */
	public final static String DEFAULT_CONFIGURATION_FILE = "META-INF/wspv/validation.xml";
	
	/** The location of the default list of standard validators */
	public final static String VALIDATORS_DEFAULT = "no/fjas/wspv/validators/default.xml";
	
	/** The location of the custom validator configuration file */
	public final static String VALIDATORS_CUSTOM = "META-INF/wspv/custom-validators.xml";
	
	/** SOAP 1.1 Namespace */
	public final static String SOAP_NAMESPACE_11 = "http://schemas.xmlsoap.org/soap/envelope/";
	
	/** SOAP 1.2 Namespace */
	public final static String SOAP_NAMESPACE_12 = "http://www.w3.org/2003/05/soap-envelope";
}
