package no.fjas.wspv;

/**
 * Thrown on validation errors when checking the validity of an SOAP-envelope
 * according to the current validation configuration.
 * 
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 */
public class ValidationException extends Exception {

	private static final long serialVersionUID = -8336343164056348993L;

	/**
	 * 
	 */
	public ValidationException() {
		super();
	}

	/**
	 * @param message
	 */
	public ValidationException(String message) {
		super(message);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public ValidationException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param cause
	 */
	public ValidationException(Throwable cause) {
		super(cause);
	}
}
