package no.fjas.wspv.validators;

import no.fjas.wspv.ValidationException;

/**
 * @author <a href="mailto:henning _at_ fjas.no">Henning Jensen</a>
 *
 */
public class EmailValidatorTest extends AbstractValidatorTest {

	public void setUp() {
		super.setUp();
		validator = new EmailValidator();
	}
	
	public void testValidEmail() {
		try {
			mockupElement.setTextContent("firstname.lastname@mail.com");
			validator.validate(mockupElement);
			assertTrue(true);
		} catch (ValidationException e) {
			fail();
		}
	}
	
	public void testInvalidEmail() {
		try {
			mockupElement.setTextContent("firstname/lastname@mail.com");
			validator.validate(mockupElement);
			fail();
		} catch (ValidationException e) {			
			assertTrue(true);
		}
	}
}
